Dark Reading is part of the Informa Tech Division of Informa PLC

This site is operated by a business or businesses owned by Informa PLC and all copyright resides with them.Informa PLC's registered office is 5 Howick Place, London SW1P 1WG. Registered in England and Wales. Number 8860726.

Operational Security

9/28/2018
02:30 PM
Scott Ferguson
Scott Ferguson
News Analysis-Security Now
50%
50%

50M Facebook Accounts Exposed Due to Software Vulnerability

A vulnerability in Facebook's 'View As' feature could have exposed the personal information of 50 million of the social network's users.

Facebook is facing yet another controversy over how the social media company protects and secures the personal data of its users.

On Friday, the company announced that a vulnerability in the platform's "View As" feature exposed the data of about 50 million Facebook users to attackers. This feature allows users to view their Facebook profile as someone else.

The vulnerability allowed the attackers to steal the access tokens of users and take over those accounts and profiles. These access tokens are the digital keys that allow users to keep their profiles open without having to re-login into the site.

(Source: Flickr)
(Source: Flickr)

In its September 28 announcement, Facebook's Guy Rosen, vice president of Product Management, wrote that the investigation remains in its early stages and that law enforcement has been notified about the breach.

Security researchers at Facebook first noticed the security flaw on Tuesday, Sept. 25 and a patch has already been applied.

Facebook has already reset the tokens of the 50 million users targeted in the attack. In addition, the company reset the tokens of an additional 40 million users, meaning that some 90 million users will not have to re-log back in when going to their Facebook page.

All told, Facebook has about 2.23 billion users worldwide.

Finally, Facebook is shutting down View As for the time being until the company's security review is complete. While it's not clear what happened yet, Rosen wrote that an update the company rolled out to its video uploading feature in July 2017 created the vulnerability in the platform.

"Since we've only just started our investigation, we have yet to determine whether these accounts were misused or any information accessed," Rosen wrote in a blog post. "We also don't know who's behind these attacks or where they're based. We're working hard to better understand these details -- and we will update this post when we have more information, or if the facts change. In addition, if we find more affected accounts, we will immediately reset their access tokens."

Chris Morales, the head of security analytics at Vectra, a San Jose-based provider of automated threat management tools, noted in an email that these types of vulnerabilities are common in software and that the more complex the platform, the more flaws there are. He added that Facebook did the right thing by alerting users as soon as possible.

"All code has these forms of flaw that allow unintended use of software, and the more complex the software gets the more likely these type of flaws exist," Morales wrote in an email to Security Now. "I do commend Facebook for identifying and responding to the compromise so quickly. It is unfortunate for users however, and it is also unfortunate for Facebook at a time when they under intense scrutiny along with the recent departure of Facebook's CSO, Alex Stamos."

Since the start of the year, Facebook has come under increasing scrutiny for how it secures and uses the vast trove of data it collects from its 2 billion users. Most recently, Facebook's COO Sheryl Sandberg appeared before a congressional committee to answer questions about election interference, how the company uses its data and how it moderates the online content users create.

Related posts:

— Scott Ferguson is the managing editor of Light Reading and the editor of Security Now. Follow him on Twitter @sferguson_LR.

Comment  | 
Print  | 
More Insights
Comments
Oldest First  |  Newest First  |  Threaded View
Edge-DRsplash-10-edge-articles
I Smell a RAT! New Cybersecurity Threats for the Crypto Industry
David Trepp, Partner, IT Assurance with accounting and advisory firm BPM LLP,  7/9/2021
News
Attacks on Kaseya Servers Led to Ransomware in Less Than 2 Hours
Robert Lemos, Contributing Writer,  7/7/2021
Commentary
It's in the Game (but It Shouldn't Be)
Tal Memran, Cybersecurity Expert, CYE,  7/9/2021
Register for Dark Reading Newsletters
White Papers
Video
Cartoon
Current Issue
Enterprise Cybersecurity Plans in a Post-Pandemic World
Download the Enterprise Cybersecurity Plans in a Post-Pandemic World report to understand how security leaders are maintaining pace with pandemic-related challenges, and where there is room for improvement.
Flash Poll
Twitter Feed
Dark Reading - Bug Report
Bug Report
Enterprise Vulnerabilities
From DHS/US-CERT's National Vulnerability Database
CVE-2018-20686
PUBLISHED: 2021-09-17
** REJECT ** DO NOT USE THIS CANDIDATE NUMBER. ConsultIDs: none. Reason: This candidate was withdrawn by its CNA. Further investigation showed that it was not a security issue. Notes: none.
CVE-2021-38402
PUBLISHED: 2021-09-17
Delta Electronic DOPSoft 2 (Version 2.00.07 and prior) lacks proper validation of user-supplied data when parsing specific project files. This could lead to a stack-based buffer overflow while trying to copy to a buffer during font string handling. An attacker could leverage this vulnerability to ex...
CVE-2021-38404
PUBLISHED: 2021-09-17
Delta Electronic DOPSoft 2 (Version 2.00.07 and prior) lacks proper validation of user-supplied data when parsing specific project files. This could result in a heap-based buffer overflow. An attacker could leverage this vulnerability to execute code in the context of the current process.
CVE-2021-38406
PUBLISHED: 2021-09-17
Delta Electronic DOPSoft 2 (Version 2.00.07 and prior) lacks proper validation of user-supplied data when parsing specific project files. This could result in multiple out-of-bounds write instances. An attacker could leverage this vulnerability to execute code in the context of the current process.
CVE-2021-41326
PUBLISHED: 2021-09-17
In MISP before 2.4.148, app/Lib/Export/OpendataExport.php mishandles parameter data that is used in a shell_exec call.